# 68080 AMMX Devpac Support using MACROS

These files are part of the repository dedicaced to the project to add Vampires 68080 AMMX instructions support inside the Devpac "MACRO Assembler for Amiga 680x0 Motorola computers".

In order to develop the SET of MACROS required to add 68080 AMMX instructions support to HiSoft Devpac 3.x Macro Assembler, I use :
- Flype Nemo tool to check the combinations of registers and values in compiled AMMX instructions
- AMMX documentations
- Genam From Devpac to compile and test the MACROS.
- XVI on PC to Hex Edit the compiled tests and check if the result is the one expected.


# Currently supported :
; Load (An),dn
; Load (An)+,dn
; Load (An,Dm),Dn
; Load (An,Dm.w),Dn
; Load (An,Dm.l),Dn
; Load ADR,(An),Dn
; Load ADR,(An,Dm),Dn
; Load ADR,(An,Dm.w),Dn
; Load ADR,(An,Dm.l),Dn
; An can be A0-A7
; Dm can be D0-D7
; Dn can be D0-D7 and E0-E23 registers
; ADR can be byte(.b), word(.w) or integer(.l). Use is automatically adjusted.

# Installation :
To use the AMMX macros, simply copy the file AMMX_Macros.gs inside your project folder and include it at the beginning of your project files includes.
The AMMX macros will always have AMMX_ prefix in their name. This mean for example, that you will have to use AMMX_Load to use the 68080 Load instruction.

# Additional information about MACROS :
Due to the fact that Devpac MACRO requires comma to separate arguments, the Load ADR(An),Dn and Load ADR(An,Dm),Dn uses cannot be developed exactly like the original. You'll have to insert a comma between ADR and (An to use shifts. This will give : Load ADR,(An),Dn and Load ADR,(An,Dm),Dn .

# Work In Progress :
This project is under development and provided "as is".
User will use it at his/her own risks. I am not responsible for any problem that can result in the use of these MACROS.

Frederic.C Aka AmiDARK